import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import { isEditing } from "../../../functions/is-editing";
import * as i0 from "@angular/core";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export interface FormInputProps {
    type?: string;
    attributes?: any;
    name?: string;
    value?: string;
    placeholder?: string;
    defaultValue?: string;
    required?: boolean;
}
export default class FormInputComponent {
    private renderer;
    protected readonly isEditing: typeof isEditing;
    attributes: InputSignal<FormInputProps["attributes"]>;
    defaultValue: InputSignal<FormInputProps["defaultValue"]>;
    placeholder: InputSignal<FormInputProps["placeholder"]>;
    type: InputSignal<FormInputProps["type"]>;
    name: InputSignal<FormInputProps["name"]>;
    value: InputSignal<FormInputProps["value"]>;
    required: InputSignal<FormInputProps["required"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormInputComponent, "form-input-component", never, { "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "defaultValue": { "alias": "defaultValue"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "type": { "alias": "type"; "required": false; "isSignal": true; }; "name": { "alias": "name"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "required": { "alias": "required"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
