import { InputSignal } from "@angular/core";
import type { ImageProps } from "./image.types";
import * as i0 from "@angular/core";
export default class Image {
    image: InputSignal<ImageProps["image"]>;
    src: InputSignal<ImageProps["src"]>;
    srcset: InputSignal<ImageProps["srcset"]>;
    noWebp: InputSignal<ImageProps["noWebp"]>;
    aspectRatio: InputSignal<ImageProps["aspectRatio"]>;
    highPriority: InputSignal<ImageProps["highPriority"]>;
    altText: InputSignal<ImageProps["altText"]>;
    title: InputSignal<ImageProps["title"]>;
    backgroundPosition: InputSignal<ImageProps["backgroundPosition"]>;
    backgroundSize: InputSignal<ImageProps["backgroundSize"]>;
    className: InputSignal<ImageProps["className"]>;
    sizes: InputSignal<ImageProps["sizes"]>;
    builderBlock: InputSignal<ImageProps["builderBlock"]>;
    fitContent: InputSignal<ImageProps["fitContent"]>;
    srcSetToUse: import("@angular/core").Signal<string>;
    webpSrcSet: import("@angular/core").Signal<string>;
    aspectRatioCss: import("@angular/core").Signal<{
        readonly position: "absolute";
        readonly height: "100%";
        readonly width: "100%";
        readonly left: "0px";
        readonly top: "0px";
    }>;
    objSpread_style_kr3gse: import("@angular/core").Signal<{
        position: "absolute";
        height: "100%";
        width: "100%";
        left: "0px";
        top: "0px";
        objectPosition: string;
        objectFit: "cover" | "contain";
    }>;
    constructor();
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Image, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Image, "image", never, { "image": { "alias": "image"; "required": false; "isSignal": true; }; "src": { "alias": "src"; "required": false; "isSignal": true; }; "srcset": { "alias": "srcset"; "required": false; "isSignal": true; }; "noWebp": { "alias": "noWebp"; "required": false; "isSignal": true; }; "aspectRatio": { "alias": "aspectRatio"; "required": false; "isSignal": true; }; "highPriority": { "alias": "highPriority"; "required": false; "isSignal": true; }; "altText": { "alias": "altText"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; "backgroundPosition": { "alias": "backgroundPosition"; "required": false; "isSignal": true; }; "backgroundSize": { "alias": "backgroundSize"; "required": false; "isSignal": true; }; "className": { "alias": "className"; "required": false; "isSignal": true; }; "sizes": { "alias": "sizes"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "fitContent": { "alias": "fitContent"; "required": false; "isSignal": true; }; }, {}, never, ["*", "*"], true, never>;
}
