import { InputSignal } from "@angular/core";
import type { BuilderContextInterface, BuilderRenderState } from "../../context/types";
import type { ContentProps } from "./content.types";
import * as i0 from "@angular/core";
export default class ContentComponent {
    protected readonly TARGET: import("../../types/targets").Target;
    apiKey: InputSignal<ContentProps["apiKey"]>;
    context: InputSignal<ContentProps["context"]>;
    content: InputSignal<ContentProps["content"]>;
    customComponents: InputSignal<ContentProps["customComponents"]>;
    data: InputSignal<ContentProps["data"]>;
    locale: InputSignal<ContentProps["locale"]>;
    canTrack: InputSignal<ContentProps["canTrack"]>;
    apiVersion: InputSignal<ContentProps["apiVersion"]>;
    blocksWrapper: InputSignal<ContentProps["blocksWrapper"]>;
    blocksWrapperProps: InputSignal<ContentProps["blocksWrapperProps"]>;
    nonce: InputSignal<ContentProps["nonce"]>;
    model: InputSignal<ContentProps["model"]>;
    apiHost: InputSignal<ContentProps["apiHost"]>;
    enrich: InputSignal<ContentProps["enrich"]>;
    showContent: InputSignal<ContentProps["showContent"]>;
    contentWrapper: InputSignal<ContentProps["contentWrapper"]>;
    contentWrapperProps: InputSignal<ContentProps["contentWrapperProps"]>;
    trustedHosts: InputSignal<ContentProps["trustedHosts"]>;
    isNestedRender: InputSignal<ContentProps["isNestedRender"]>;
    isSsrAbTest: InputSignal<ContentProps["isSsrAbTest"]>;
    linkComponent: InputSignal<ContentProps["linkComponent"]>;
    scriptStr: import("@angular/core").WritableSignal<any>;
    registeredComponents: import("@angular/core").WritableSignal<any>;
    builderContextSignal: import("@angular/core").WritableSignal<BuilderContextInterface>;
    contentSetState(newRootState: BuilderRenderState): void;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentComponent, "content-component", never, { "apiKey": { "alias": "apiKey"; "required": false; "isSignal": true; }; "context": { "alias": "context"; "required": false; "isSignal": true; }; "content": { "alias": "content"; "required": false; "isSignal": true; }; "customComponents": { "alias": "customComponents"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "canTrack": { "alias": "canTrack"; "required": false; "isSignal": true; }; "apiVersion": { "alias": "apiVersion"; "required": false; "isSignal": true; }; "blocksWrapper": { "alias": "blocksWrapper"; "required": false; "isSignal": true; }; "blocksWrapperProps": { "alias": "blocksWrapperProps"; "required": false; "isSignal": true; }; "nonce": { "alias": "nonce"; "required": false; "isSignal": true; }; "model": { "alias": "model"; "required": false; "isSignal": true; }; "apiHost": { "alias": "apiHost"; "required": false; "isSignal": true; }; "enrich": { "alias": "enrich"; "required": false; "isSignal": true; }; "showContent": { "alias": "showContent"; "required": false; "isSignal": true; }; "contentWrapper": { "alias": "contentWrapper"; "required": false; "isSignal": true; }; "contentWrapperProps": { "alias": "contentWrapperProps"; "required": false; "isSignal": true; }; "trustedHosts": { "alias": "trustedHosts"; "required": false; "isSignal": true; }; "isNestedRender": { "alias": "isNestedRender"; "required": false; "isSignal": true; }; "isSsrAbTest": { "alias": "isSsrAbTest"; "required": false; "isSignal": true; }; "linkComponent": { "alias": "linkComponent"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
