import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import { isEditing } from "../../../functions/is-editing";
import * as i0 from "@angular/core";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export interface FormSelectProps {
    options?: {
        name?: string;
        value: string;
    }[];
    attributes?: any;
    name?: string;
    value?: string;
    defaultValue?: string;
    required?: boolean;
}
export default class SelectComponent {
    private renderer;
    protected readonly isEditing: typeof isEditing;
    attributes: InputSignal<FormSelectProps["attributes"]>;
    value: InputSignal<FormSelectProps["value"]>;
    defaultValue: InputSignal<FormSelectProps["defaultValue"]>;
    name: InputSignal<FormSelectProps["name"]>;
    required: InputSignal<FormSelectProps["required"]>;
    options: InputSignal<FormSelectProps["options"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    trackByOption0(index: number, option: any): string;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "select-component", never, { "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "defaultValue": { "alias": "defaultValue"; "required": false; "isSignal": true; }; "name": { "alias": "name"; "required": false; "isSignal": true; }; "required": { "alias": "required"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
