import { InputSignal } from "@angular/core";
/**
 * This component renders a block's wrapper HTML element (from the block's `tagName` property).
 */
import type { BuilderContextInterface } from "../../../context/types";
import { getBlockActions } from "../../../functions/get-block-actions";
import { getBlockProperties } from "../../../functions/get-block-properties";
import type { BuilderBlock } from "../../../types/builder-block";
import * as i0 from "@angular/core";
type BlockWrapperProps = {
    Wrapper: string;
    block: BuilderBlock;
    context: BuilderContextInterface;
    children?: any;
};
export default class BlockWrapper {
    protected readonly getBlockProperties: typeof getBlockProperties;
    protected readonly getBlockActions: typeof getBlockActions;
    Wrapper: InputSignal<BlockWrapperProps["Wrapper"]>;
    block: InputSignal<BlockWrapperProps["block"]>;
    context: InputSignal<BlockWrapperProps["context"]>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<BlockWrapper, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BlockWrapper, "block-wrapper", never, { "Wrapper": { "alias": "Wrapper"; "required": false; "isSignal": true; }; "block": { "alias": "block"; "required": false; "isSignal": true; }; "context": { "alias": "context"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
export {};
