import { ViewContainerRef, TemplateRef, InputSignal } from "@angular/core";
import type { ComponentProps } from "./component-ref.helpers";
import * as i0 from "@angular/core";
export default class ComponentRef {
    private viewContainer;
    protected readonly getWrapperProps: ({ componentOptions, builderBlock, context, componentRef, includeBlockProps, isInteractive, contextValue }: Omit<ComponentProps, "registeredComponents" | "blockChildren"> & {
        contextValue: import("@builder.io/sdk-angular").BuilderContextInterface;
    }) => import("../interactive-element").InteractiveElementProps | {
        attributes?: {
            'builder-id': string;
            style: string | Partial<CSSStyleDeclaration>;
            href: any;
        } | {
            [index: string]: any;
        };
        builderBlock: import("@builder.io/sdk-angular").BuilderBlock;
        builderContext: import("@builder.io/sdk-angular").BuilderContextInterface;
    };
    myContent: import("@angular/core").WritableSignal<any[]>;
    wrapperTemplateRef: import("@angular/core").Signal<TemplateRef<any>>;
    isInteractive: InputSignal<ComponentProps["isInteractive"]>;
    componentRef: InputSignal<ComponentProps["componentRef"]>;
    componentOptions: InputSignal<ComponentProps["componentOptions"]>;
    builderBlock: InputSignal<ComponentProps["builderBlock"]>;
    context: InputSignal<ComponentProps["context"]>;
    linkComponent: InputSignal<ComponentProps["linkComponent"]>;
    includeBlockProps: InputSignal<ComponentProps["includeBlockProps"]>;
    blockChildren: InputSignal<ComponentProps["blockChildren"]>;
    registeredComponents: InputSignal<ComponentProps["registeredComponents"]>;
    shouldUpdate: import("@angular/core").WritableSignal<boolean>;
    Wrapper: import("@angular/core").WritableSignal<any>;
    dynamicProps_vn4rls: import("@angular/core").Signal<{
        Wrapper: any;
        block: import("@builder.io/sdk-angular").BuilderBlock;
        context: import("@builder.io/sdk-angular").BuilderContextInterface;
        wrapperProps: import("../../../../types/typescript").Dictionary<any>;
        includeBlockProps: boolean;
        children?: any;
    } | {
        attributes?: {
            'builder-id': string;
            style: string | Partial<CSSStyleDeclaration>;
            href: any;
        } | {
            [index: string]: any;
        };
        builderBlock: import("@builder.io/sdk-angular").BuilderBlock;
        builderContext: import("@builder.io/sdk-angular").BuilderContextInterface;
    }>;
    trackByChild0(_: number, child: any): any;
    constructor(viewContainer: ViewContainerRef);
    ngOnInit(): void;
    _updateView(): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentRef, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ComponentRef, "component-ref", never, { "isInteractive": { "alias": "isInteractive"; "required": false; "isSignal": true; }; "componentRef": { "alias": "componentRef"; "required": false; "isSignal": true; }; "componentOptions": { "alias": "componentOptions"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "context": { "alias": "context"; "required": false; "isSignal": true; }; "linkComponent": { "alias": "linkComponent"; "required": false; "isSignal": true; }; "includeBlockProps": { "alias": "includeBlockProps"; "required": false; "isSignal": true; }; "blockChildren": { "alias": "blockChildren"; "required": false; "isSignal": true; }; "registeredComponents": { "alias": "registeredComponents"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
