import { InputSignal } from "@angular/core";
import type { ContentVariantsPrps } from "./content-variants.types";
import * as i0 from "@angular/core";
type VariantsProviderProps = ContentVariantsPrps & {
    /**
     * For internal use only. Do not provide this prop.
     */
    isNestedRender?: boolean;
};
export default class ContentVariants {
    protected readonly TARGET: import("../../types/targets").Target;
    protected readonly getInitVariantsFnsScriptString: () => string;
    protected readonly SDKS_SUPPORTING_PERSONALIZATION: import("../../types/targets").Target[];
    protected readonly getInitPersonalizationVariantsFnsScriptString: () => string;
    protected readonly getVariants: (content: import("@builder.io/sdk-angular").BuilderContent) => {
        testVariationId: string;
        id: string;
        data?: {
            [key: string]: any;
            title?: string;
            blocks?: import("@builder.io/sdk-angular").BuilderBlock[];
            inputs?: import("../../types/input").Input[];
            state?: {
                [key: string]: any;
            };
            jsCode?: string;
            tsCode?: string;
            httpRequests?: {
                [key: string]: string;
            };
        };
        name?: string;
        testRatio?: number;
        meta?: {
            [key: string]: any;
            breakpoints?: import("../../types/builder-content").Breakpoints;
        };
    }[];
    canTrack: InputSignal<VariantsProviderProps["canTrack"]>;
    content: InputSignal<VariantsProviderProps["content"]>;
    isNestedRender: InputSignal<VariantsProviderProps["isNestedRender"]>;
    nonce: InputSignal<VariantsProviderProps["nonce"]>;
    apiHost: InputSignal<VariantsProviderProps["apiHost"]>;
    model: InputSignal<VariantsProviderProps["model"]>;
    data: InputSignal<VariantsProviderProps["data"]>;
    context: InputSignal<VariantsProviderProps["context"]>;
    apiKey: InputSignal<VariantsProviderProps["apiKey"]>;
    apiVersion: InputSignal<VariantsProviderProps["apiVersion"]>;
    customComponents: InputSignal<VariantsProviderProps["customComponents"]>;
    linkComponent: InputSignal<VariantsProviderProps["linkComponent"]>;
    locale: InputSignal<VariantsProviderProps["locale"]>;
    enrich: InputSignal<VariantsProviderProps["enrich"]>;
    blocksWrapper: InputSignal<VariantsProviderProps["blocksWrapper"]>;
    blocksWrapperProps: InputSignal<VariantsProviderProps["blocksWrapperProps"]>;
    contentWrapper: InputSignal<VariantsProviderProps["contentWrapper"]>;
    contentWrapperProps: InputSignal<VariantsProviderProps["contentWrapperProps"]>;
    trustedHosts: InputSignal<VariantsProviderProps["trustedHosts"]>;
    shouldRenderVariants: import("@angular/core").WritableSignal<any>;
    updateCookieAndStylesScriptStr: import("@angular/core").Signal<string>;
    hideVariantsStyleString: import("@angular/core").Signal<string>;
    defaultContent: import("@angular/core").Signal<import("@builder.io/sdk-angular").BuilderContent>;
    trackByVariant0(_: number, variant: any): any;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentVariants, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentVariants, "builder-content, content-variants", never, { "canTrack": { "alias": "canTrack"; "required": false; "isSignal": true; }; "content": { "alias": "content"; "required": false; "isSignal": true; }; "isNestedRender": { "alias": "isNestedRender"; "required": false; "isSignal": true; }; "nonce": { "alias": "nonce"; "required": false; "isSignal": true; }; "apiHost": { "alias": "apiHost"; "required": false; "isSignal": true; }; "model": { "alias": "model"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": false; "isSignal": true; }; "context": { "alias": "context"; "required": false; "isSignal": true; }; "apiKey": { "alias": "apiKey"; "required": false; "isSignal": true; }; "apiVersion": { "alias": "apiVersion"; "required": false; "isSignal": true; }; "customComponents": { "alias": "customComponents"; "required": false; "isSignal": true; }; "linkComponent": { "alias": "linkComponent"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "enrich": { "alias": "enrich"; "required": false; "isSignal": true; }; "blocksWrapper": { "alias": "blocksWrapper"; "required": false; "isSignal": true; }; "blocksWrapperProps": { "alias": "blocksWrapperProps"; "required": false; "isSignal": true; }; "contentWrapper": { "alias": "contentWrapper"; "required": false; "isSignal": true; }; "contentWrapperProps": { "alias": "contentWrapperProps"; "required": false; "isSignal": true; }; "trustedHosts": { "alias": "trustedHosts"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
export {};
