import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import { isEditing } from "../../functions/is-editing";
import * as i0 from "@angular/core";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export interface ImgProps {
    attributes?: any;
    imgSrc?: string;
    image?: string;
    altText?: string;
    backgroundSize?: "cover" | "contain";
    backgroundPosition?: "center" | "top" | "left" | "right" | "bottom" | "top left" | "top right" | "bottom left" | "bottom right";
}
export default class ImgComponent {
    private renderer;
    protected readonly isEditing: typeof isEditing;
    imgSrc: InputSignal<ImgProps["imgSrc"]>;
    image: InputSignal<ImgProps["image"]>;
    backgroundSize: InputSignal<ImgProps["backgroundSize"]>;
    backgroundPosition: InputSignal<ImgProps["backgroundPosition"]>;
    altText: InputSignal<ImgProps["altText"]>;
    attributes: InputSignal<ImgProps["attributes"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    srcSetToUse: import("@angular/core").Signal<string>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImgComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImgComponent, "img-component", never, { "imgSrc": { "alias": "imgSrc"; "required": false; "isSignal": true; }; "image": { "alias": "image"; "required": false; "isSignal": true; }; "backgroundSize": { "alias": "backgroundSize"; "required": false; "isSignal": true; }; "backgroundPosition": { "alias": "backgroundPosition"; "required": false; "isSignal": true; }; "altText": { "alias": "altText"; "required": false; "isSignal": true; }; "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
