import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import type { VideoProps } from "./video.types";
import * as i0 from "@angular/core";
export default class Video {
    private renderer;
    lazyLoad: InputSignal<VideoProps["lazyLoad"]>;
    autoPlay: InputSignal<VideoProps["autoPlay"]>;
    muted: InputSignal<VideoProps["muted"]>;
    controls: InputSignal<VideoProps["controls"]>;
    loop: InputSignal<VideoProps["loop"]>;
    playsInline: InputSignal<VideoProps["playsInline"]>;
    preload: InputSignal<VideoProps["preload"]>;
    attributes: InputSignal<VideoProps["attributes"]>;
    fit: InputSignal<VideoProps["fit"]>;
    position: InputSignal<VideoProps["position"]>;
    aspectRatio: InputSignal<VideoProps["aspectRatio"]>;
    posterImage: InputSignal<VideoProps["posterImage"]>;
    video: InputSignal<VideoProps["video"]>;
    fitContent: InputSignal<VideoProps["fitContent"]>;
    builderBlock: InputSignal<VideoProps["builderBlock"]>;
    videoRef: import("@angular/core").Signal<ElementRef<any>>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    elRef1: import("@angular/core").Signal<ElementRef<any>>;
    lazyVideoObserver: import("@angular/core").WritableSignal<any>;
    _listenerFns: Map<any, any>;
    videoProps: import("@angular/core").Signal<{
        playsInline?: boolean;
        loop?: boolean;
        controls?: boolean;
        muted?: boolean;
        autoPlay?: boolean;
    }>;
    spreadProps: import("@angular/core").Signal<{
        playsInline?: boolean;
        loop?: boolean;
        controls?: boolean;
        muted?: boolean;
        autoPlay?: boolean;
    }>;
    objSpread_style_8mtss2: import("@angular/core").Signal<any>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Video, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Video, "builder-video", never, { "lazyLoad": { "alias": "lazyLoad"; "required": false; "isSignal": true; }; "autoPlay": { "alias": "autoPlay"; "required": false; "isSignal": true; }; "muted": { "alias": "muted"; "required": false; "isSignal": true; }; "controls": { "alias": "controls"; "required": false; "isSignal": true; }; "loop": { "alias": "loop"; "required": false; "isSignal": true; }; "playsInline": { "alias": "playsInline"; "required": false; "isSignal": true; }; "preload": { "alias": "preload"; "required": false; "isSignal": true; }; "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "fit": { "alias": "fit"; "required": false; "isSignal": true; }; "position": { "alias": "position"; "required": false; "isSignal": true; }; "aspectRatio": { "alias": "aspectRatio"; "required": false; "isSignal": true; }; "posterImage": { "alias": "posterImage"; "required": false; "isSignal": true; }; "video": { "alias": "video"; "required": false; "isSignal": true; }; "fitContent": { "alias": "fitContent"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; }, {}, never, ["*", "*"], true, never>;
}
