import { ElementRef, ViewContainerRef, TemplateRef, InputSignal } from "@angular/core";
import type { BuilderBlock } from "../../types/builder-block";
import * as i0 from "@angular/core";
export type BlocksWrapperProps = {
    blocks: BuilderBlock[] | undefined;
    parent: string | undefined;
    path: string | undefined;
    styleProp: Record<string, any> | undefined;
    /**
     * The element that wraps each list of blocks. Defaults to a `div` element ('ScrollView' in React Native).
     */
    BlocksWrapper: any;
    /**
     * Props to be applied to the wrapping element of blocks. Can be set in two ways:
     * 1. Globally via `<Content blocksWrapperProps={{...}}/>` - applies to all blocks wrappers in the Content
     * 2. Locally via `<Blocks BlocksWrapperProps={{...}}/>` - applies only to this specific blocks instance and overrides global props
     *
     * For merging both global and local props, spread the context props before adding your own:
     * ```
     * <Blocks
     *   BlocksWrapperProps={{
     *     ...builderContext.BlocksWrapperProps,
     *     'data-test-id': 'my-test-id'
     *   }}
     * />
     * ```
     */
    BlocksWrapperProps: any;
    children?: any;
    classNameProp?: string;
};
export default class BlocksWrapper {
    private viewContainer;
    myContent: import("@angular/core").WritableSignal<any[]>;
    blockswrapperTemplateRef: import("@angular/core").Signal<TemplateRef<any>>;
    blocks: InputSignal<BlocksWrapperProps["blocks"]>;
    classNameProp: InputSignal<BlocksWrapperProps["classNameProp"]>;
    path: InputSignal<BlocksWrapperProps["path"]>;
    parent: InputSignal<BlocksWrapperProps["parent"]>;
    styleProp: InputSignal<BlocksWrapperProps["styleProp"]>;
    BlocksWrapperProps: InputSignal<BlocksWrapperProps["BlocksWrapperProps"]>;
    BlocksWrapper: InputSignal<BlocksWrapperProps["BlocksWrapper"]>;
    blocksWrapperRef: import("@angular/core").Signal<ElementRef<any>>;
    shouldUpdate: import("@angular/core").WritableSignal<boolean>;
    className: import("@angular/core").Signal<string>;
    dataPath: import("@angular/core").Signal<string>;
    dynamicProps_d6h9d: import("@angular/core").Signal<any>;
    onClick(): void;
    onMouseEnter(): void;
    constructor(viewContainer: ViewContainerRef);
    _updateView(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlocksWrapper, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BlocksWrapper, "blocks-wrapper", never, { "blocks": { "alias": "blocks"; "required": false; "isSignal": true; }; "classNameProp": { "alias": "classNameProp"; "required": false; "isSignal": true; }; "path": { "alias": "path"; "required": false; "isSignal": true; }; "parent": { "alias": "parent"; "required": false; "isSignal": true; }; "styleProp": { "alias": "styleProp"; "required": false; "isSignal": true; }; "BlocksWrapperProps": { "alias": "BlocksWrapperProps"; "required": false; "isSignal": true; }; "BlocksWrapper": { "alias": "BlocksWrapper"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
