import { ElementRef, ViewContainerRef, TemplateRef, InputSignal } from "@angular/core";
import type { BuilderContextInterface } from "../../../context/types";
import type { BuilderContent } from "../../../types/builder-content";
import type { Dictionary } from "../../../types/typescript";
import type { ContentProps } from "../content.types";
import * as i0 from "@angular/core";
type BuilderEditorProps = Omit<ContentProps, "customComponents" | "apiVersion" | "isSsrAbTest" | "blocksWrapper" | "blocksWrapperProps" | "linkComponent"> & {
    builderContextSignal: BuilderContextInterface;
    setBuilderContextSignal?: (signal: any) => any;
    children?: any;
};
export default class EnableEditor {
    private viewContainer;
    protected readonly needsElementRefDivForEditing: () => boolean;
    protected readonly getWrapperClassName: (variationId?: string) => string;
    myContent: import("@angular/core").WritableSignal<any[]>;
    contentwrapperTemplateRef: import("@angular/core").Signal<TemplateRef<any>>;
    isNestedRender: InputSignal<BuilderEditorProps["isNestedRender"]>;
    locale: InputSignal<BuilderEditorProps["locale"]>;
    enrich: InputSignal<BuilderEditorProps["enrich"]>;
    trustedHosts: InputSignal<BuilderEditorProps["trustedHosts"]>;
    model: InputSignal<BuilderEditorProps["model"]>;
    apiKey: InputSignal<BuilderEditorProps["apiKey"]>;
    builderContextSignal: InputSignal<BuilderEditorProps["builderContextSignal"]>;
    canTrack: InputSignal<BuilderEditorProps["canTrack"]>;
    apiHost: InputSignal<BuilderEditorProps["apiHost"]>;
    content: InputSignal<BuilderEditorProps["content"]>;
    context: InputSignal<BuilderEditorProps["context"]>;
    data: InputSignal<BuilderEditorProps["data"]>;
    showContent: InputSignal<BuilderEditorProps["showContent"]>;
    contentWrapper: InputSignal<BuilderEditorProps["contentWrapper"]>;
    contentWrapperProps: InputSignal<BuilderEditorProps["contentWrapperProps"]>;
    elementRef: import("@angular/core").Signal<ElementRef<any>>;
    hasExecuted: import("@angular/core").WritableSignal<boolean>;
    prevData: import("@angular/core").WritableSignal<any>;
    prevLocale: import("@angular/core").WritableSignal<string>;
    ContentWrapper: import("@angular/core").WritableSignal<any>;
    httpReqsData: import("@angular/core").WritableSignal<{}>;
    httpReqsPending: import("@angular/core").WritableSignal<{}>;
    clicked: import("@angular/core").WritableSignal<boolean>;
    showContentProps: import("@angular/core").Signal<{
        hidden?: undefined;
        "aria-hidden"?: undefined;
    } | {
        hidden: boolean;
        "aria-hidden": boolean;
    }>;
    dynamicProps_sb7chb: import("@angular/core").Signal<any>;
    mergeNewRootState(newData: Dictionary<any>): void;
    mergeNewContent(newContent: BuilderContent): void;
    processMessage(event: MessageEvent): void;
    onClick(event: any): void;
    runHttpRequests(): void;
    emitStateUpdate(): void;
    constructor(viewContainer: ViewContainerRef);
    ngOnInit(): void;
    _updateView(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnableEditor, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EnableEditor, "enable-editor", never, { "isNestedRender": { "alias": "isNestedRender"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "enrich": { "alias": "enrich"; "required": false; "isSignal": true; }; "trustedHosts": { "alias": "trustedHosts"; "required": false; "isSignal": true; }; "model": { "alias": "model"; "required": false; "isSignal": true; }; "apiKey": { "alias": "apiKey"; "required": false; "isSignal": true; }; "builderContextSignal": { "alias": "builderContextSignal"; "required": false; "isSignal": true; }; "canTrack": { "alias": "canTrack"; "required": false; "isSignal": true; }; "apiHost": { "alias": "apiHost"; "required": false; "isSignal": true; }; "content": { "alias": "content"; "required": false; "isSignal": true; }; "context": { "alias": "context"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": false; "isSignal": true; }; "showContent": { "alias": "showContent"; "required": false; "isSignal": true; }; "contentWrapper": { "alias": "contentWrapper"; "required": false; "isSignal": true; }; "contentWrapperProps": { "alias": "contentWrapperProps"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
export {};
